KDE 4.7 PyKDE API Reference

- KDE's Python API

# HTMLDocument Class Reference

`from PyKDE4.khtml import *`

Inherits: DOM.Document → DOM.Node
Namespace: DOM

## Detailed Description

An HTMLDocument is the root of the HTML hierarchy and holds the entire content. Beside providing access to the hierarchy, it also provides some convenience methods for accessing certain sets of information from the document.

The following properties have been deprecated in favor of the corresponding ones for the BODY element:

- alinkColor

- background

- bgColor

- fgColor

- linkColor

- vlinkColor

## Methods
| __init__ (self)
| __init__ (self, KHTMLView parent)
| __init__ (self, DOM.HTMLDocument other)
| __init__ (self, DOM.Node other)
DOM.DOMString | URL (self)
DOM.HTMLCollection | all (self)
DOM.HTMLCollection | anchors (self)
DOM.HTMLCollection | applets (self)
DOM.HTMLElement | body (self)
| close (self)
DOM.DOMString | completeURL (self, DOM.DOMString url)
DOM.DOMString | cookie (self)
DOM.DOMString | domain (self)
DOM.HTMLCollection | forms (self)
DOM.NodeList | getElementsByName (self, DOM.DOMString elementName)
DOM.HTMLCollection | images (self)
DOM.DOMString | lastModified (self)
DOM.HTMLCollection | layers (self)
DOM.HTMLCollection | links (self)
| open (self)
DOM.DOMString | referrer (self)
DOM.HTMLCollection | scripts (self)
| setBody (self, DOM.HTMLElement a0)
| setCookie (self, DOM.DOMString a0)
| setTitle (self, DOM.DOMString a0)
DOM.DOMString | title (self)
| write (self, DOM.DOMString text)
| writeln (self, DOM.DOMString text)

## Method Documentation

__init__ | ( |  | self ) |

__init__ | ( | self, |
|  | KHTMLView | parent
| ) |  |  |

The parent is the widget the document should render itself in. Rendering information (like sizes, etc...) is only created if parent != 0

__init__ | ( | self, |
|  | DOM.HTMLDocument | other
| ) |  |  |

__init__ | ( | self, |
|  | DOM.Node | other
| ) |  |  |

DOM.DOMString URL | ( |  | self ) |

The absolute URI of the document.

DOM.HTMLCollection all | ( |  | self ) |

Not part of the DOM

A collection of all the IMG, OBJECT, AREA, A, forms and anchor elements of a document.

DOM.HTMLCollection anchors | ( |  | self ) |

A collection of all the anchor ( A ) elements in a document with a value for the name attribute. Note. For reasons of backwards compatibility, the returned set of anchors only contains those anchors created with the name attribute, not those created with the id attribute.

DOM.HTMLCollection applets | ( |  | self ) |

A collection of all the OBJECT elements that include applets and APPLET ( deprecated ) elements in a document.

DOM.HTMLElement body | ( |  | self ) |

The element that contains the content for the document. In documents with BODY contents, returns the BODY element, and in frameset documents, this returns the outermost FRAMESET element.

close | ( |  | self ) |

Closes a document stream opened by open() and forces rendering.

Returns:

DOM.DOMString completeURL | ( | self, |
|  | DOM.DOMString | url
| ) |  |  |

not part of the DOM

converts the given (potentially relative) URL in a full-qualified one, using the baseURL / document URL for the missing parts.

DOM.DOMString cookie | ( |  | self ) |

The cookies associated with this document. If there are none, the value is an empty string. Otherwise, the value is a string: a semicolon-delimited list of "name, value" pairs for all the cookies associated with the page. For example, name=value;expires=date .

DOM.DOMString domain | ( |  | self ) |

The domain name of the server that served the document, or a null string if the server cannot be identified by a domain name.

DOM.HTMLCollection forms | ( |  | self ) |

A collection of all the forms of a document.

DOM.NodeList getElementsByName | ( | self, |
|  | DOM.DOMString | elementName
| ) |  |  |

Returns the (possibly empty) collection of elements whose name value is given by elementName .

Parameters:

  | elementName | The name attribute value for an element.

Returns:
  The matching elements.

DOM.HTMLCollection images | ( |  | self ) |

A collection of all the IMG elements in a document. The behavior is limited to IMG elements for backwards compatibility.

DOM.DOMString lastModified | ( |  | self ) |

Not part of the DOM

The date the document was last modified.

DOM.HTMLCollection layers | ( |  | self ) |

A collection of all the layers of a document.

DOM.HTMLCollection links | ( |  | self ) |

A collection of all AREA elements and anchor ( A ) elements in a document with a value for the href attribute.

open | ( |  | self ) |

Note. This method and the ones following allow a user to add to or replace the structure model of a document using strings of unparsed HTML. At the time of writing alternate methods for providing similar functionality for both HTML and XML documents were being considered. The following methods may be deprecated at some point in the future in favor of a more general-purpose mechanism.

Open a document stream for writing. If a document exists in the target, this method clears it.

Returns:

DOM.DOMString referrer | ( |  | self ) |

Returns the URI of the page that linked to this page. The value is an empty string if the user navigated to the page directly (not through a link, but, for example, via a bookmark).

DOM.HTMLCollection scripts | ( |  | self ) |

A collection of all the scripts in the document.

setBody | ( | self, |
|  | DOM.HTMLElement | a0
| ) |  |  |

see body

setCookie | ( | self, |
|  | DOM.DOMString | a0
| ) |  |  |

see cookie

setTitle | ( | self, |
|  | DOM.DOMString | a0
| ) |  |  |

see title

DOM.DOMString title | ( |  | self ) |

The title of a document as specified by the TITLE element in the head of the document.

write | ( | self, |
|  | DOM.DOMString | text
| ) |  |  |

Write a string of text to a document stream opened by open() . The text is parsed into the document's structure model.

Parameters:

  | text | The string to be parsed into some structure in the document structure model.

Returns:

writeln | ( | self, |
|  | DOM.DOMString | text
| ) |  |  |

Write a string of text followed by a newline character to a document stream opened by open() . The text is parsed into the document's structure model.

Parameters:

  | text | The string to be parsed into some structure in the document structure model.

Returns: